Advisory Details

May 7th, 2015

ManageEngine OpManager UpdateProbeUpgradeStatus probeName SQL Injection Remote Code Execution Vulnerability

ZDI-15-179
ZDI-CAN-2460

CVE ID
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS ManageEngine
AFFECTED PRODUCTS OpManager
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 16606. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of ManageEngine OpManager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the UpdateProbeUpgradeStatus servlet. The issue lies in the failure to sanitize user-supplied input prior to executing a SQL statement. An attacker could leverage this vulnerability to execute code under the context of the database, which defaults to SYSTEM.

VENDOR RESPONSE ManageEngine states:


Upgrade to version 11.5 build 11500 or higher, to address this vulnerability.


DISCLOSURE TIMELINE
  • 2014-08-18 - Vulnerability reported to vendor
  • 2015-05-07 - Coordinated public release of advisory
CREDIT Andrea Micalizzi (rgod)
BACK TO ADVISORIES